## org.apache.batik.dom.svg
Class SVGOMAnimatedTransformList.SVGOMTransformList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGTransformList
              org.apache.batik.dom.svg.SVGOMAnimatedTransformList.SVGOMTransformList

All Implemented Interfaces:
  SVGTransformList

Enclosing class:
  SVGOMAnimatedTransformList

public class SVGOMAnimatedTransformList.SVGOMTransformList
extends AbstractSVGTransformList

SVGTransformList implementation for the static 'transform' attribute of the element.

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`AbstractSVGTransformList.SVGTransformItem, AbstractSVGTransformList.TransformListBuilder`

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`SVG_TRANSFORMATION_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`SVGOMAnimatedTransformList.SVGOMTransformList()`

Method Summary
`protected org.w3c.dom.DOMException` `createDOMException(short type, java.lang.String key, java.lang.Object[] args)` Create a DOMException.
`protected SVGException` `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create a SVGException.
`protected java.lang.String` `getValueAsString()` Retrieve the value of the attribute 'points'.
`protected void` `setAttributeValue(java.lang.String value)` Set the value of the attribute 'points'

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`appendItem, checkItemType, consolidate, createSVGItem, createSVGTransformFromMatrix, doParse, getItem, getItemSeparator, initialize, insertItemBefore, removeItem, replaceItem`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, getItemImpl, getNumberOfItems, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGTransformList
`clear, getNumberOfItems`

Constructor Detail

### SVGOMAnimatedTransformList.SVGOMTransformList

    public SVGOMAnimatedTransformList.SVGOMTransformList()

Method Detail

### createDOMException

    protected org.w3c.dom.DOMException createDOMException(short type,
                                                          java.lang.String key,
                                                          java.lang.Object[] args)

  Create a DOMException.

  Specified by:
    `createDOMException` in class `AbstractSVGList`

### createSVGException

    protected SVGException createSVGException(short type,
                                              java.lang.String key,
                                              java.lang.Object[] args)

  Create a SVGException.

  Specified by:
    `createSVGException` in class `AbstractSVGTransformList`
  Returns:
    SVGException

### getValueAsString

    protected java.lang.String getValueAsString()

  Retrieve the value of the attribute 'points'.

  Specified by:
    `getValueAsString` in class `AbstractSVGList`
  Returns:
    value of the attribute

### setAttributeValue

    protected void setAttributeValue(java.lang.String value)

  Set the value of the attribute 'points'

  Specified by:
    `setAttributeValue` in class `AbstractSVGList`
  Parameters:
    `value` - new value of the attribute the value can be null if no item are present in the list.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.